---
updatedAt: 2025-12-28T21:51:27.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# getSSRs

This method will provide the available SSRs

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        flights
      </td>

      <td style={{ textAlign: "left" }}>
        Array
      </td>

      <td style={{ textAlign: "left" }}>
        Array of flights
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        flightid
      </td>

      <td style={{ textAlign: "left" }}>
        Array
      </td>

      <td style={{ textAlign: "left" }}>
        Array of internal flight ids
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

## Response

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        flights
      </td>

      <td>
        Array
      </td>

      <td>
        Array of the returned data
      </td>
    </tr>

    <tr>
      <td>
        flightid
      </td>

      <td>
        Array
      </td>

      <td>
        Array of flight ids (same as request)
      </td>
    </tr>

    <tr>
      <td>
        ssrs
      </td>

      <td>
        Element
      </td>

      <td>
        Element containing returned SSR sevices
      </td>
    </tr>

    <tr>
      <td>
        ssr
      </td>

      <td>
        Array
      </td>

      <td>
        Array of available SSRs
      </td>
    </tr>

    <tr>
      <td>
        code
      </td>

      <td>
        String
      </td>

      <td>
        SSR code
      </td>
    </tr>

    <tr>
      <td>
        description
      </td>

      <td>
        String
      </td>

      <td>
        SSR description
      </td>
    </tr>

    <tr>
      <td>
        detaildescription
      </td>

      <td>
        String
      </td>

      <td>
        Extra data from the airline about the service
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/getSSRs": {
      "post": {
        "summary": "getSSRs",
        "description": "This method will provide the available SSRs",
        "operationId": "getssrs",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "flights": [
                          {
                            "flightid": [
                              19301947,
                              19309873
                            ]
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"flights\": [\n            {\n                \"flightid\": [\n                    19301947,\n                    19309873\n                ],\n                \"ssrs\": {\n                    \"ssr\": [\n                        {\n                            \"code\": \"WLC\",\n                            \"description\": \"Wheel Chair\",\n                            \"detaildescription\": \"Test SRR\"\n                        }\n                    ]\n                }\n            }\n        ]\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "flights": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "flightid": {
                                "type": "array",
                                "items": {
                                  "type": "integer",
                                  "example": 19301947,
                                  "default": 0
                                }
                              },
                              "ssrs": {
                                "type": "object",
                                "properties": {
                                  "ssr": {
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "code": {
                                          "type": "string",
                                          "example": "WLC"
                                        },
                                        "description": {
                                          "type": "string",
                                          "example": "Wheel Chair"
                                        },
                                        "detaildescription": {
                                          "type": "string",
                                          "example": "Test SRR"
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```